[Link] 체크아웃 페이지 요청

체크아웃 페이지 요청 호출에 대한 가이드입니다.

  • 고객사는 센트비즈에게 비밀키를 사전에 공유 받아야 함
  • sentbiz checkout page url: https://checkout.sentbiz.kr/o
  • Example Request
    • https://checkout.sentbiz.kr/o?channel_no=channel0021&timestamp=1765534763877&signature=hmac&order_id=INV001&order_item=Test%20Order&total_amount=10.00&success_callback_url=https%3A%2F%2Ftest.com%2Fsuccess&failed_callback_url=https%3A%2F%2Ftest.com%2Ffail&buyer_name=Demo%20Buyer%20Test&[email protected]
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
required

UNIX Timestamp

string
required

사전에 센트비즈로 부터 공유된 대상 채널 NO

string
required

고객사 주문아이디

string
required

고객사 주문상품명

number
required

주문상품 금액

  • 현재는 USD만 지원
  • 소수점 2째자리 까지
string
required

주문거래 성공시에 호출될 고객사의 callbak url

string
required

주문거래 실패시에 호출될 고객사의 callbak url

string
required

사전에 센트비즈와 협의된 파라미터와 비밀키를 기반으로 생성된 HMAC 서명 값

string

실 구매자 이름

string

실 구매자 이메일

Responses
200

거래 성공시에 요청에 포함된 success_callback_url 으로 redirect

500

거래 실패시에 요청에 포함된 failed_callback_url 으로 redirect

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!